List a map's topics - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service returns a map's topics.

Method Endpoint
GET
/api/khub/maps/{mapId}/topics
Path parameter Type Description
{mapId} String The map's unique identifier.
Query parameter Type Required? Description
includeBuiltinMetadata Boolean No false by default. When false, each topic's metadata array in the response only includes client-generated metadata. When true, each topic's metadata array in the response includes both client-generated metadata and built-in metadata.

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

This web service requires authentication on portals with mandatory authentication.

Response body

The following example shows a JSON response body for this web service:

[
  {
    "title": "Before You Begin",
    "id": "~oeowUiu7yr7WDoIJT9kvQ",
    "contentApiEndpoint": "/api/khub/maps/fbbhN_AWAcYrc0DjH5L1hQ/topics/~oeowUiu7yr7WDoIJT9kvQ/content",
    "readerUrl": "#/r/Before-You-Begin",
    "breadcrumb": [
      "Before You Begin"
    ],
    "metadata": [
      {
        "key": "audience",
        "label": "Audience",
        "values": [
          "public"
        ]
      }
    ]
  },
  {
    "title": "Documentation Standards",
    "id": "rvkZEauYketsAe03qj7s2g",
    "contentApiEndpoint": "/api/khub/maps/fbbhN_AWAcYrc0DjH5L1hQ/topics/rvkZEauYketsAe03qj7s2g/content",
    "readerUrl": "#/r/Before-You-Begin/Documentation-Standards",
    "breadcrumb": [
      "Before You Begin",
      "Documentation Standards"
    ],
    "metadata": [
      {
        "key": "audience",
        "label": "Audience",
        "values": [
          "public"
        ]
      }
    ]
  },
  {
    "title": "Structure",
    "id": "6s1guREO3h62OTD5mEgJ5A",
    "contentApiEndpoint": "/api/khub/maps/fbbhN_AWAcYrc0DjH5L1hQ/topics/6s1guREO3h62OTD5mEgJ5A/content",
    "readerUrl": "#/r/Before-You-Begin/Documentation-Standards/Structure",
    "breadcrumb": [
      "Before You Begin",
      "Documentation Standards",
      "Structure"
    ],
    "metadata": [
      {
        "key": "audience",
        "label": "Audience",
        "values": [
          "public"
        ]
      }
    ]
  },
  {
    "title": "Typographical Conventions",
    "id": "vnaolvX5tYzcPHGbSZd01Q",
    "contentApiEndpoint": "/api/khub/maps/fbbhN_AWAcYrc0DjH5L1hQ/topics/vnaolvX5tYzcPHGbSZd01Q/content",
    "readerUrl": "#/r/Before-You-Begin/Documentation-Standards/Typographical-Conventions",
    "breadcrumb": [
      "Before You Begin",
      "Documentation Standards",
      "Typographical Conventions"
    ],
    "metadata": [
      {
        "key": "audience",
        "label": "Audience",
        "values": [
          "public"
        ]
      }
    ]
  }
]

The content of the metadata array has been shortened for better readability.

Field Type Required? Description
title String Yes The topic's title.
id String Yes The topic's unique identifier.
contentApiEndpoint String Yes The path to follow to retrieve a topic's content.
readerUrl String Yes The URL fragment describing a Fluid Topics reader entry point to the corresponding topic. The map's pretty URL is used when available.
breadcrumb Array Yes A list of the titles of the topic's parents describing the location of the topic in the map's table of contents.
metadata Array Yes An array containing the topic's metadata.
By default, the metadata array only includes client-generated metadata.
Use the includeBuiltinMetadata query parameter so that the metadata array includes both client-generated metadata and built-in metadata.
key String Yes The metadata's key.
values Array Yes The values defined for the metadata key. If the metadata's values follow a hierarchical structure, the hierarchical values field is present instead of the values field.
label String Yes The label defined for the metadata.